List languages

GET https://deliver.kontent.ai/:environment_id/languages

Retrieve a list of active languages. By default, the API returns all languages ordered alphabetically by codename.

Get only the languages you need

To retrieve specific languages, use the filtering parameters in your requests. For example, you can request two specific languages (using the [in] filter) or all but one language (using the [neq] filter).

Request Params

KeyDatatypeRequiredDescription
skipstringSets the number of objects to skip when requesting a list of objects. The skip parameter must be combined with the limit parameter to work. If skip is not specified, the API returns the first page of results.

You can combine the limit and skip parameters to specify page size and page number. For example, using limit=10&skip=10 sets the page size to 10 and gets the second page of results. | | limit | string | | Sets the number of objects to retrieve in a single request. If the limit parameter is not specified, the API returns all requested objects by default.

If limit is lower than the total number of objects matching your query, the next_page property in the pagination object of the API response will contain a URL to the next page of results.

The limit parameter affects only the number of items in the items property. It doesn't reduce the number of linked items in the modular_content property so you may hit the response size limit unexpectedly. You can set depth=0 to avoid that. | | order | string | | Determines the order of the returned languages. By default, the languages are sorted alphabetically by their codenames from A to Z.

To sort the languages in a specific order, use the asc and desc modifiers in square brackets. For example, to sort by language name in ascending order, use order=system.name[asc]. Similarly, to sort in descending order, use the [desc] modifier. |

HEADERS

KeyDatatypeRequiredDescription
Acceptstring

RESPONSES

status: OK

{"languages":[{"system":{"id":"00000000-0000-0000-0000-000000000000","name":"Default language","codename":"default"}},{"system":{"id":"614d82f5-c16c-465b-a34b-a37a1b416d12","name":"German","codename":"de-DE"}},{"system":{"id":"de7bffee-659e-495f-b462-073974c88147","name":"English","codename":"en-US"}}],"pagination":{"skip":0,"limit":3,"count":3,"next_page":"https://deliver.kontent.ai/\u003cENVIRONMENT_ID\u003e/languages?limit=3\u0026skip=3"}}